staqlydocs
REST APIAPI referenceAccounts

Sign in with the browser's passkey answer

Sign in with the browser's passkey answer

Every request sends Authorization: Bearer ...: the access token in local mode, an API key stk_... in cloud mode. Use Send to try it against your cloud instance with your API key.

POST
/v1/auth/passkey/finish

Checks the assertion against the person's passkey and signs them in with a new session cookie. 401 passkey_invalid when it does not check out, passkey_cloned when the sign counter went backwards.

Request Body

application/json
  1. body
challenge_id*string
response*

The PublicKeyCredential as JSON (credential.toJSON())

next?string

A path on this dashboard to land on

Response Body

Session cookie set

application/json
  1. response
csrf_token*string
next*string
curl -X POST 'https://staqly.example.com/v1/auth/passkey/finish' \  -H 'Content-Type: application/json' \  -d '{  "challenge_id": "string",  "response": {}}'
{  "csrf_token": "string",  "next": "string"}